<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number77</title>
</head>

<body>
	<h2> JavaScript Excercise </h2>
	
	<p> <b> No.77:</b> Write a JavaScript program to test if an array of integers of length 2 contains 1 or a 3. </p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 425px; height: auto;">
		<input type="number" id="num1" placeholder="Numbers of Array elements!" style="width: 200px; margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	</div>
	<script>
	function generate() {
		var num = + document.getElementById('num1').value;
		var arr = [];
		if (num>0) {
			for ( i=0 ; i<num ; i++){
				arr.push(prompt("Enter Array`s element Number" +(i+1)));
				arr.map(Number);
				if ( arr[i] == 1 || arr[i] == 3 ) {
					document.getElementById('demo').innerHTML=
						"The Array You Entered is:<br>[ " + arr.join(" ,") + " ] <br>" +
						"And it contains at least one 1 or 3;<br>So the Condition is True";
				} else {
					document.getElementById('demo').innerHTML=
						"Array doesn`t contain 1 or 3"
				}
			}
		} else {
			document.getElementById('demo').innerHTML=
				"Array`s Numbers of Element must be a Positive Number"
		}
	}
	</script>
</body>
</html>
